package com.weiqi.mis.mapper;

import com.weiqi.mis.domain.AdminUserInfo;
import com.weiqi.mis.domain.AdminUserInfoExample;

import java.util.List;

public interface AdminUserInfoMapper {
    int countByExample(AdminUserInfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(AdminUserInfo record);

    int insertSelective(AdminUserInfo record);

    List<AdminUserInfo> selectByExample(AdminUserInfoExample example);

    AdminUserInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AdminUserInfo record);

    int updateByPrimaryKey(AdminUserInfo record);
}